Phusion white papers Phusion overview

Phusion Passenger 2.2.12 released

By Hongli Lai on May 31st, 2010

Phusion Passenger is an Apache and Nginx module for deploying Ruby on Rails web applications, and is mainly focused on ease of use and stability.

Recent changes

Phusion Passenger is under constant maintenance and development. We are pleased to announce Phusion Passenger version 2.2.11. This is a bug fix release.

Improved Bundler support.
Previous versions might not be able to correctly load gems bundled by Bundler. We’ve also documented how our Bundler support works and how to override our support if you need special behavior. Please refer to the Phusion Passenger Users Guide, section "Bundler support".
Worked around some user account handling bugs in Ruby.
Issue #192.
[Apache] Suppress bogus mod_xsendfile-related error messages.
When mod_xsendfile is being used, Phusion Passenger might print bogus error messages like "EPIPE" or "Apache stopped forwarding the backend’s response" to the log file. These messages are normal, are harmless and can be safely ignored, but they pollute the log file. So in this release we’ve added code to suppress these messages when mod_xsendfile is being used. Issue #474.
[Nginx] Fixed “passenger_user_switching off” permission problems
If Nginx is running as root and passenger_user_switching is turned off, then Phusion Passenger would fail to initialize because of a permission problem. This has been fixed. Issue #458.
[Nginx] Nginx >= 0.8.38 is now supported.
Thanks to Sergey A. Osokin for reporting the problem.
[Nginx] passenger-install-nginx-module upgraded
It now defaults to installing Nginx 0.7.65 instead of 0.7.64.
Others
  • Fixed some Ruby 1.9 tempfile.rb compatibility problems.
  • Fixed some compilation problems on some ARM Linux platforms.

How do I upgrade to 2.2.12?

Via a gem

Please install it with the following command:

gem install passenger

Next, run:

passenger-install-apache2-module

Or, if you’re an Nginx user:

passenger-install-nginx-module

Please don’t forget to copy & paste the Apache/Nginx config snippet that the installer gives you.

Via a native Linux package

John Leach from Brightbox has kindly provided an Ubuntu 8.04 package for Phusion Passenger. The package is available from the Brightbox repository which you can find at:

http://apt.brightbox.net

Add the following line to the Third Party Software Sources:

deb http://apt.brightbox.net hardy main

(The simplest way to do that is to create a file in /etc/apt/sources.list.d/ containing the deb instruction, and then run ‘apt-get update’).

Once you’ve done this then you can install Phusion Passenger by running:

sudo apt-get install libapache2-mod-passenger

-or-

sudo apt-get install nginx-brightbox

(Note that John is currently packaging 2.2.12, so it might take a while before this release shows up in the apt repository.)

Final

Phusion Passenger is provided to the community for free. If you like Phusion Passenger, please consider sending us a donation. Thank you!

  • Pingback: Link dump for May 31st | The Queue Blog

  • http://railsgeek.com mikhailov

    When I successfully upgrade my system gems (and also unisntall previous version of passenger), HTTP headers tells me about version
    “X-Powered-By Phusion Passenger (mod_rails/mod_rack) 2.2.11″
    Is it correct?

  • http://www.phusion.nl/ Hongli Lai

    Did you re-run passenger-install-apache2-module?

  • andras

    um.. 2.2.13 already? you guys are fast :-)

    gem install passenger
    Building native extensions. This could take a while…
    Successfully installed fastthread-1.0.7
    Successfully installed passenger-2.2.13
    2 gems installed

  • http://www.phusion.nl/ Hongli Lai

    Yeah there was a minor typo and some Rails 3 problems have been fixed that were introduced recently (Rails 3 is a moving target right now…). Will announce this soon.

  • Rainer

    In the 2.2.9 blog post you mentioned:
    With 2.2.9 there are still some caveats:

    Smart spawning (the mechanism with which REE’s 33% memory reduction is implemented) is *not* supported for Rack apps. This means that if you want to utilize smart spawning with Rails 3, then you should remove your config.ru file.

    Is this fixed now, or else is there an issue number in your issue tracker where I can follow progress on that?

  • http://www.phusion.nl/ Hongli Lai

    No. Smart spawning of Rack apps will be included in Passenger 3.

  • Rainer

    Hmmm …. not fixing it until the next major release (for which I don’t find a roadmap or expected release date) is a funny way to interpret “Both of these caveats are temporary.”

  • http://www.phusion.nl/ Hongli Lai

    It is temporary because the next major release is near.